[CalendarServer-changes] [12379] twext/trunk

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:17:27 PDT 2014


Revision: 12379
          http://trac.calendarserver.org//changeset/12379
Author:   wsanchez at apple.com
Date:     2014-01-17 11:51:07 -0800 (Fri, 17 Jan 2014)
Log Message:
-----------
Move develop to bin/

Modified Paths:
--------------
    twext/trunk/bin/_twext_preamble.py
    twext/trunk/bin/install_pip
    twext/trunk/bin/pyflakes
    twext/trunk/bin/python
    twext/trunk/bin/test

Added Paths:
-----------
    twext/trunk/bin/develop

Removed Paths:
-------------
    twext/trunk/develop

Modified: twext/trunk/bin/_twext_preamble.py
===================================================================
--- twext/trunk/bin/_twext_preamble.py	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/bin/_twext_preamble.py	2014-01-17 19:51:07 UTC (rev 12379)
@@ -33,8 +33,3 @@
 
 addsitedir(depslib)
 sys.path.insert(0, srcroot)
-
-if False:
-    print("PYTHONPATH:")
-    for path in sys.path:
-        print("  ", path)

Copied: twext/trunk/bin/develop (from rev 12378, twext/trunk/develop)
===================================================================
--- twext/trunk/bin/develop	                        (rev 0)
+++ twext/trunk/bin/develop	2014-01-17 19:51:07 UTC (rev 12379)
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e
+set -u
+
+if [ -z "${wd:-}" ]; then
+  wd="$(cd "$(dirname "$0")/.." && pwd)";
+fi;
+
+export TWEXT_DEVELOP="true";
+
+. "${wd}/bin/_build.sh";
+
+init_build;
+c_dependencies;
+py_dependencies;

Modified: twext/trunk/bin/install_pip
===================================================================
--- twext/trunk/bin/install_pip	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/bin/install_pip	2014-01-17 19:51:07 UTC (rev 12379)
@@ -20,9 +20,8 @@
 set -u
 
 wd="$(cd "$(dirname "$0")" && pwd)/..";
-ve_root="${HOME}/.local";
 
-export tmp="$(mktemp -d -t foo)";
+tmp="$(mktemp -d -t foo)";
 cd "${tmp}";
 
 

Modified: twext/trunk/bin/pyflakes
===================================================================
--- twext/trunk/bin/pyflakes	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/bin/pyflakes	2014-01-17 19:51:07 UTC (rev 12379)
@@ -21,7 +21,7 @@
 
 wd="$(cd "$(dirname "$0")/.." && pwd -L)";
 
-. "${wd}/develop";
+. "${wd}/bin/develop";
 
 pip install pyflakes --no-use-wheel --upgrade --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log" || true;
 exec "${python}" -m pyflakes "$@";

Modified: twext/trunk/bin/python
===================================================================
--- twext/trunk/bin/python	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/bin/python	2014-01-17 19:51:07 UTC (rev 12379)
@@ -21,6 +21,6 @@
 
 wd="$(cd "$(dirname "$0")/.." && pwd)";
 
-. "${wd}/develop";
+. "${wd}/bin/develop";
 
 exec "${python}" "$@";

Modified: twext/trunk/bin/test
===================================================================
--- twext/trunk/bin/test	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/bin/test	2014-01-17 19:51:07 UTC (rev 12379)
@@ -21,7 +21,7 @@
 
 wd="$(cd "$(dirname "$0")/.." && pwd -L)";
 
-. "${wd}/develop";
+. "${wd}/bin/develop";
 
 ##
 # Options

Deleted: twext/trunk/develop
===================================================================
--- twext/trunk/develop	2014-01-17 19:38:37 UTC (rev 12378)
+++ twext/trunk/develop	2014-01-17 19:51:07 UTC (rev 12379)
@@ -1,31 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e
-set -u
-
-if [ -z "${wd:-}" ]; then
-  wd="$(cd "$(dirname "$0")" && pwd)";
-fi;
-
-export TWEXT_DEVELOP="true";
-
-. "${wd}/bin/_build.sh";
-init_build;
-c_dependencies;
-py_dependencies;
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/95038037/attachment.html>


More information about the calendarserver-changes mailing list